<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ApplicationUtilities Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ApplicationUtilities Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for ApplicationUtilities:</div>
<div class="dyncontent">
<div class="center"><img src="dir_748b5abbb33df61eda67007924a1a0cb_dep.png" border="0" usemap="#dir__748b5abbb33df61eda67007924a1a0cb__dep" alt="/workplace/avs-device-sdk/ApplicationUtilities"/></div>
<map name="dir__748b5abbb33df61eda67007924a1a0cb__dep" id="dir__748b5abbb33df61eda67007924a1a0cb__dep">
<area shape="rect" id="node2" href="dir_29f233ec03ca42c38c01971e03438246.html" title="AndroidUtilities" alt="" coords="44,27,154,75"/>
<area shape="rect" id="node4" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html" title="Resources" alt="" coords="56,123,141,171"/>
<area shape="rect" id="edge9-headlabel" href="dir_000027_000037.html" title="1" alt="" coords="103,97,111,111"/>
<area shape="rect" id="node11" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="332,411,433,459"/>
<area shape="rect" id="edge10-headlabel" href="dir_000027_000015.html" title="11" alt="" coords="308,412,322,426"/>
<area shape="rect" id="node3" href="dir_b085260ed2fdec2a77be746aa0e6e508.html" title="DefaultClient" alt="" coords="178,27,276,75"/>
<area shape="rect" id="node5" href="dir_15a1dcf98404372b5aa31671439f6987.html" title="AFML" alt="" coords="843,123,915,171"/>
<area shape="rect" id="edge11-headlabel" href="dir_000033_000021.html" title="3" alt="" coords="824,113,832,126"/>
<area shape="rect" id="node6" href="dir_7cf910bd1d7603f12ef47ff650cec893.html" title="CapabilityAgents" alt="" coords="451,123,573,171"/>
<area shape="rect" id="edge12-headlabel" href="dir_000033_000049.html" title="29" alt="" coords="429,104,444,118"/>
<area shape="rect" id="node7" href="dir_63c328d9f040c398ed3a99417a38689e.html" title="EqualizerImplementations" alt="" coords="494,219,669,267"/>
<area shape="rect" id="edge13-headlabel" href="dir_000033_000222.html" title="1" alt="" coords="600,197,608,210"/>
<area shape="rect" id="node8" href="dir_cf27311ab9f4263eef70b28364b95692.html" title="CertifiedSender" alt="" coords="107,219,221,267"/>
<area shape="rect" id="edge14-headlabel" href="dir_000033_000211.html" title="2" alt="" coords="182,197,189,211"/>
<area shape="rect" id="node9" href="dir_8ae0dd75af039a94f4269584fb8eef13.html" title="Settings" alt="" coords="693,219,765,267"/>
<area shape="rect" id="edge15-headlabel" href="dir_000033_000286.html" title="2" alt="" coords="705,192,712,205"/>
<area shape="rect" id="node10" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html" title="ACL" alt="" coords="789,219,861,267"/>
<area shape="rect" id="edge16-headlabel" href="dir_000033_000000.html" title="4" alt="" coords="790,193,798,207"/>
<area shape="rect" id="edge17-headlabel" href="dir_000033_000015.html" title="30" alt="" coords="308,409,323,422"/>
<area shape="rect" id="node12" href="dir_b14333b5607b47fe7356eaa790107bd3.html" title="RegistrationManager" alt="" coords="201,315,346,363"/>
<area shape="rect" id="edge18-headlabel" href="dir_000033_000272.html" title="1" alt="" coords="271,289,279,302"/>
<area shape="rect" id="node13" href="dir_edb1b7e8f1a5d5a1b864206edd6d398d.html" title="ADSL" alt="" coords="296,219,368,267"/>
<area shape="rect" id="edge19-headlabel" href="dir_000033_000009.html" title="2" alt="" coords="320,192,327,205"/>
<area shape="rect" id="edge25-headlabel" href="dir_000037_000015.html" title="10" alt="" coords="309,409,324,422"/>
<area shape="rect" id="edge1-headlabel" href="dir_000021_000015.html" title="33" alt="" coords="445,423,460,436"/>
<area shape="rect" id="edge2-headlabel" href="dir_000049_000222.html" title="1" alt="" coords="556,192,564,205"/>
<area shape="rect" id="edge3-headlabel" href="dir_000049_000211.html" title="4" alt="" coords="237,229,244,242"/>
<area shape="rect" id="edge4-headlabel" href="dir_000049_000286.html" title="13" alt="" coords="673,202,688,216"/>
<area shape="rect" id="edge5-headlabel" href="dir_000049_000000.html" title="1" alt="" coords="771,203,779,216"/>
<area shape="rect" id="edge6-headlabel" href="dir_000049_000015.html" title="494" alt="" coords="398,391,420,404"/>
<area shape="rect" id="edge7-headlabel" href="dir_000049_000272.html" title="12" alt="" coords="324,305,339,318"/>
<area shape="rect" id="edge8-headlabel" href="dir_000049_000009.html" title="3" alt="" coords="385,216,392,229"/>
<area shape="rect" id="edge20-headlabel" href="dir_000222_000015.html" title="34" alt="" coords="429,400,444,413"/>
<area shape="rect" id="edge21-headlabel" href="dir_000211_000015.html" title="19" alt="" coords="309,411,323,424"/>
<area shape="rect" id="edge22-headlabel" href="dir_000211_000272.html" title="5" alt="" coords="234,289,241,303"/>
<area shape="rect" id="edge23-headlabel" href="dir_000286_000015.html" title="11" alt="" coords="441,403,455,416"/>
<area shape="rect" id="edge24-headlabel" href="dir_000000_000015.html" title="97" alt="" coords="446,412,461,425"/>
<area shape="rect" id="edge26-headlabel" href="dir_000272_000015.html" title="9" alt="" coords="343,385,351,399"/>
<area shape="rect" id="edge27-headlabel" href="dir_000009_000015.html" title="32" alt="" coords="376,385,391,398"/>
<area shape="rect" id="clust1" href="dir_748b5abbb33df61eda67007924a1a0cb.html" alt="" coords="33,16,440,181"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_29f233ec03ca42c38c01971e03438246"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_b085260ed2fdec2a77be746aa0e6e508"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_64fbf9e5512ec11acc25e4f2d433d2a3"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
